Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Public Enum eVAT2MType
    eDetail = 0
    eCummulative = 1
End Enum
<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class VATReportGroupCustomers2M
    Inherits BaseObject
    Private _VATReport As VATReport
    Private _Customers As Customers
    Private _DocumentNumber As String
    Private _DateExecution As Date
    Private _RegistryHeader As RegistryHeader
    Private _InvoiceHeader As InvoiceHeader
    Private _GLAccounts As GLAccounts
    Private _PartnerType As ePartnerType
    Private _AmountVATOut As Double 'Értékesítést terhelő ÁFA
    Private _AmountVATIn As Double 'Beszerzést terhelő ÁFA
    Private _AmountVATOutBase As Double 'Értékesítést terhelő ÁFA alap
    Private _AmountVATInBase As Double 'Beszerzést terhelő ÁFA alap
    Private _VAT2MType As eVAT2MType
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("VATReport-VATReportGroupCustomers2M", GetType(VATReport))> _
    Property VATReport As VATReport
        Get
            Return _VATReport
        End Get
        Set(ByVal value As VATReport)
            SetPropertyValue("VATReport", _VATReport, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property DocumentNumber As String
        Get
            Return _DocumentNumber
        End Get
        Set(value As String)
            SetPropertyValue("DocumentNumber", _DocumentNumber, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property RegistryHeader As RegistryHeader
        Get
            Return _RegistryHeader
        End Get
        Set(value As RegistryHeader)
            SetPropertyValue("RegistryHeader", _RegistryHeader, value)
        End Set
    End Property
    Property InvoiceHeader As InvoiceHeader
        Get
            Return _InvoiceHeader
        End Get
        Set(value As InvoiceHeader)
            SetPropertyValue("InvoiceHeader", _InvoiceHeader, value)
        End Set
    End Property
    Property GLAccounts As GLAccounts
        Get
            Return _GLAccounts
        End Get
        Set(value As GLAccounts)
            SetPropertyValue("GLAccounts", _GLAccounts, value)
        End Set
    End Property
    Property PartnerType As ePartnerType
        Get
            Return _PartnerType
        End Get
        Set(value As ePartnerType)
            SetPropertyValue("PartnerType", _PartnerType, value)
        End Set
    End Property
    Property AmountVATOut As Double
        Get
            Return _AmountVATOut
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATOut", _AmountVATOut, value)
        End Set
    End Property
    Property AmountVATIn As Double
        Get
            Return _AmountVATIn
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATIn", _AmountVATIn, value)
        End Set
    End Property
    Property AmountVATOutBase As Double
        Get
            Return _AmountVATOutBase
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATOutBase", _AmountVATOutBase, value)
        End Set
    End Property
    Property AmountVATInBase As Double
        Get
            Return _AmountVATInBase
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATInBase", _AmountVATInBase, value)
        End Set
    End Property
    Property VAT2MType As eVAT2MType
        Get
            Return _VAT2MType
        End Get
        Set(value As eVAT2MType)
            SetPropertyValue("VAT2MType", _VAT2MType, value)
        End Set
    End Property
End Class
